Skip to main content
Identities

アイデンティティ構成を取得する

1 つの Identity と Template に対する Identity Config を取得します。

GET /api/v1/forward/identities/{identity_id}/templates/{template_id}/config 保存された Forward Identity Config DSL を返します。これはオーバーライドレイヤーであり、コンパイルされたランタイム構成ではありません。

Headers

HeaderRequiredDescription
AuthorizationYesBearer <PAT または SAT>

Path parameters

ParameterTypeRequiredDescription
identity_idstringYesForward Identity ID。
template_idstringYesForward Template ID。

Example request

curl -s -X GET 'https://api.qoder.com/api/v1/forward/identities/idn_019eabc123/templates/tmpl_support/config' \
  -H "Authorization: Bearer $QODER_ACCESS_TOKEN"

Example response

HTTP 200 OK
{
  "type": "config",
  "identity_id": "idn_019eabc123",
  "template_id": "tmpl_support",
  "name": "CRM profile",
  "status": "active",
  "identity_config": {
    "system": {
      "mode": "append",
      "content": "Prefer CRM data when answering."
    },
    "skills": {
      "skill_019f18f2749e": {
        "enabled": true
      }
    },
    "environment_variables": {
      "CRM_REGION": {
        "op": "set",
        "value": "cn-shanghai"
      },
      "LEGACY_CRM_MODE": {
        "op": "unset"
      }
    },
    "github_repositories": {
      "source": {
        "mount_path": "/data/workspace/support-agent"
      },
      "legacy": {
        "enabled": false
      }
    }
  },
  "metadata": {},
  "created_at": "2026-06-18T10:00:00Z",
  "updated_at": "2026-06-18T10:00:00Z"
}

Response fields

FieldTypeDescription
typestring常に config
identity_idstringForward Identity ID。
template_idstringForward Template ID。
identity_configobject保存されたユーザーレベルのオーバーライド DSL。
metadataobjectカスタムメタデータ。
created_atstring作成タイムスタンプ。
updated_atstring更新タイムスタンプ。

Errors

HTTPTypeCode発生条件
401authentication_errorauthentication_requiredPAT または SAT が無効または期限切れです。
404not_found_error-Identity、Template、または Config が存在しません。

Notes

  • コンパイルされたランタイム構成を確認するには Get Effective Config を使用してください。
  • リソースマップ内の enabled: false は、継承された Template リソースを無効化します。
  • environment_variables は保存された set / unset オーバーライド DSL を返します。コンパイル済みの値は Effective Config を参照してください。
  • GitHub リポジトリのオーバーライドでは、urlmount_pathenabled などの保存済みフィールドが返されますが、書き込み専用の authorization_token は返されません。
ベストプラクティス